# CythonNodeRenderer class

(Shortest import: `from brian2.codegen.generators.cython_generator import CythonNodeRenderer)`

class brian2.codegen.generators.cython_generator.CythonNodeRenderer(auto_vectorise=None)

  Bases: `NodeRenderer`

  Methods

  `render_BinOp`(node) |
  `render_Name`(node) |
  `render_NameConstant`(node) |

  Details

  render_BinOp(node)
  render_Name(node)
  render_NameConstant(node)